%define name SDL_ttf
%define version 2.0.6
%define release 1

Summary: Simple DirectMedia Layer - Sample TrueType Font Library
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.gz
Patch: SDL_ttf-2.0.6-ft_include.patch
License: LGPL
Group: System/Libraries
BuildRequires: SDL-devel >= 1.2 xorg-x11-devel audiofile-devel esound-devel
BuildRequires: freetype-devel >= 2.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.libsdl.org/projects/SDL_ttf/

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package test
Summary: Test binary for %{name}
Group: System/Libraries

%description test
This package contains binary to test the associated library.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 .libs/{showfont,glfont} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files test
%defattr(-,root,root)
%{_bindir}/showfont
%{_bindir}/glfont

%files
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Thu Jun 24 2004 Peter Hanecak <hanecak@megaloman.sk> 2.0.6-1
- adapted to Doors Linux

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6-3mdk
- fix build deps for 64bit platform

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.6-2mdk
- use %%mklibname macro
- use %%make macro
- drop Prefix tag
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6-1mdk
- new version (and have also the new devel provides btw)

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 2.0.5-5mdk
- rebuild for rpm-4.2

* Sun Jan 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.5-4mdk
- fixed missing provides

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-3mdk
- recompile against SDL which isn't dependant upon arts/esd

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.5-2mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-1mdk
- new version
- rebuild for new alsa version
- user percent-configure

* Mon Jan 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.4-1mdk
- updated to release 2.0.4.
- added freetype2-devel in BuildRequires.

* Tue May 29 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-3mdk
- fix BuildRequires

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- follow new lib policy
- 1.2.2

* Wed Aug 30 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- updated URL.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
